Bug 29064 - OPAC duplicate "Most popular titles" in 'title' tag
Summary: OPAC duplicate "Most popular titles" in 'title' tag
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Lari Taskula
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 27742
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-20 22:06 UTC by Lari Taskula
Modified: 2021-10-21 14:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 29064: Remove duplicate term Most popular titles (1.41 KB, patch)
2021-09-20 22:15 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 29064: Remove duplicate term Most popular titles (1.46 KB, patch)
2021-09-21 10:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29064: Remove duplicate term Most popular titles (1.55 KB, patch)
2021-09-22 14:49 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2021-09-20 22:06:55 UTC

    
Comment 1 Lari Taskula 2021-09-20 22:15:04 UTC
Created attachment 125081 [details] [review]
Bug 29064: Remove duplicate term Most popular titles

To test:
1. Enable system preference OpacTopissue
2. Go to OPAC /cgi-bin/koha/opac-topissues.pl
3. Observe title Most popular titles › Koha online catalogMost popular titles
4. Apply patch
5. Observe title Most popular titles › Koha online catalog
6. See that this path complies with Bug 27742
Comment 2 Owen Leonard 2021-09-21 10:32:07 UTC
Created attachment 125090 [details] [review]
Bug 29064: Remove duplicate term Most popular titles

To test:
1. Enable system preference OpacTopissue
2. Go to OPAC /cgi-bin/koha/opac-topissues.pl
3. Observe title Most popular titles › Koha online catalogMost popular titles
4. Apply patch
5. Observe title Most popular titles › Koha online catalog
6. See that this path complies with Bug 27742

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2021-09-22 14:49:41 UTC
Created attachment 125135 [details] [review]
Bug 29064: Remove duplicate term Most popular titles

To test:
1. Enable system preference OpacTopissue
2. Go to OPAC /cgi-bin/koha/opac-topissues.pl
3. Observe title Most popular titles &rsaquo; Koha online catalogMost popular titles
4. Apply patch
5. Observe title Most popular titles &rsaquo; Koha online catalog
6. See that this path complies with Bug 27742

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-09-28 13:39:41 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-08 12:23:36 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-10-21 03:11:21 UTC
Depends on Bug 27742 not in 20.11.x